OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_DataMapNodeOfDataMapOfStringHArray1OfInteger Class Reference

`#include <TDataStd_DataMapNodeOfDataMapOfStringHArray1OfInteger.hxx>`

## Public Member Functions
| TDataStd_DataMapNodeOfDataMapOfStringHArray1OfInteger (const TCollection_ExtendedString &K, const Handle(TColStd_HArray1OfInteger)&I, const TCollection_MapNodePtr &n)
TCollection_ExtendedString & | Key () const
Handle_TColStd_HArray1OfInteger & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
TCollection_ExtendedString | myKey
Handle_TColStd_HArray1OfInteger | myValue

## Constructor & Destructor Documentation

TDataStd_DataMapNodeOfDataMapOfStringHArray1OfInteger::TDataStd_DataMapNodeOfDataMapOfStringHArray1OfInteger | ( | const TCollection_ExtendedString & | K,
|  | const Handle(TColStd_HArray1OfInteger)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const TDataStd_DataMapNodeOfDataMapOfStringHArray1OfInteger::Handle | ( | Standard_Type |  | ) | const

TCollection_ExtendedString& TDataStd_DataMapNodeOfDataMapOfStringHArray1OfInteger::Key | ( |  | ) | const

Handle_TColStd_HArray1OfInteger& TDataStd_DataMapNodeOfDataMapOfStringHArray1OfInteger::Value | ( |  | ) | const

## Field Documentation

TCollection_ExtendedString TDataStd_DataMapNodeOfDataMapOfStringHArray1OfInteger::myKey`[private]`

Handle_TColStd_HArray1OfInteger TDataStd_DataMapNodeOfDataMapOfStringHArray1OfInteger::myValue`[private]`

The documentation for this class was generated from the following file:

- TDataStd_DataMapNodeOfDataMapOfStringHArray1OfInteger.hxx